Bug 891301 - version values for hosts are wrong (major="-1" minor="-1" build="-1" revision="-1")
version values for hosts are wrong (major="-1" minor="-1" build="-1" revision...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
high Severity unspecified
: ---
: 3.2.0
Assigned To: Ravi Nori
Tareq Alayan
infra
: Regression, TestBlocker
Depends On:
Blocks: 904935 915537
  Show dependency treegraph
 
Reported: 2013-01-02 09:17 EST by Eyal Edri
Modified: 2016-02-10 14:00 EST (History)
10 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904935 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10687 None None None Never

  None (edit)
Description Eyal Edri 2013-01-02 09:17:40 EST
Description of problem:

when running api call for hosts:

2013-01-01 12:17:57,722 - MainThread - root - ERROR - Response href: https://jenkins-automation-rpm-vm31.eng.lab.tlv.redhat.com/api/hosts, status 200 is not valid against xsd schema
2013-01-01 12:17:57,723 - MainThread - root - ERROR - Response body: 
<hosts>
    <host href="/api/hosts/f8e92641-8192-4a29-8d17-fda985a7edfb" id="f8e92641-8192-4a29-8d17-fda985a7edfb">
          ......
          .......

        <version major="-1" minor="-1" build="-1" revision="-1"/>

          ......
    </host>
</hosts>

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install latest sf and add 6.4 host with cluster level 3.1
2.
3.
  
Actual results:


Expected results:
versions shouldn't be < 0 and should reflect the actual version (3.2.0?)

Additional info:
Comment 6 Ravi Nori 2013-01-06 09:20:47 EST
link : http://gerrit.ovirt.org/#/c/10687/

change id : Ib6cf8f5480b29e07b60f36465b8fa0db74ee5246

This patch suppresses the version infrmation from /api/hosts xml if the version is unknown (-1).
Comment 8 Oded Ramraz 2013-01-24 10:27:56 EST
<version major="4" minor="10" build="2" revision="0" full_version="vdsm-4.10.2-4.0.el6ev"/>

Verified sf4
Comment 9 Itamar Heim 2013-06-11 04:53:50 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:53:53 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:54:03 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:57:20 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:27:05 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.